← OBPv7.0.0 Get Cache Namespaces GET /obp/v7.0.0/system/cache/namespaces OBPv6.0.0-getCacheNamespaces Roles: CanGetCacheNamespaces CacheSystemAPI Returns information about all cache namespaces in the system. This endpoint provides visibility into: Cache namespace prefixes and their purposes Number of keys in each namespace TTL configurations Example keys for each namespace This is useful for: Monitoring cache usage Understanding cache structure Debugging cache-related issues Planning cache management operations User Authentication is Required. The User must be logged in. The Application must also be authenticated. JSON response body fields (7) category description Description of the object. Maximum length is 2000. It can be any characters here.example_key example_keykey_count key_countnamespaces namespacesprefix prefixttl_seconds ttl_seconds Example success response { "namespaces": [ { "prefix": "call_counter_", "description": "Rate limiting counters per consumer and time period", "ttl_seconds": "varies", "category": "Rate Limiting", "key_count": 42, "example_key": "rl_counter_consumer123_PER_MINUTE" }, { "prefix": "rl_active_", "description": "Active rate limit configurations", "ttl_seconds": "3600", "category": "Rate Limiting", "key_count": 15, "example_key": "rl_active_consumer123_2024-12-27-14" }, { "prefix": "rd_localised_", "description": "Localized resource documentation", "ttl_seconds": "3600", "category": "Resource Documentation", "key_count": 128, "example_key": "rd_localised_operationId:getBanks-locale:en" } ] } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.